%define upstream_name    Glib-IO
%define upstream_version 0.001

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 0.1

Summary:    Perl bindings to the GIO library
License:    LGPLv2
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Glib/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Depends) >= 0.300.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::PkgConfig) >= 1.0.0
BuildRequires: perl-devel
BuildRequires: perl-Glib-Object-Introspection
BuildRequires: typelib(Gio)
Requires:   typelib(Gio)
BuildArch: noarch
%description
Glib::IO is the perl bindings to the GIO library.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog

* Mon Feb 18 2013 tv <tv> 0.1.0-0.1.mga3
+ Revision: 398961
- require typelib(Gio)
- imported package perl-Glib-IO

